none
MAP Installation Failure - SQL Exception Error RRS feed

  • Question

  • Upgrading from MAP v8 to v9.  After answering "Upgrade database?" question with Yes, receive the followingn error:

    "A failure occurred while upgrading the database.  Refer to the log file for more details.  RunListOfQueries:  A SQL exception has occurred running:  "** See the log file for the specific query. **"

    For starters, cannot find the log file that it refers to for further diagnosis.  Any ideas where that's located?

    Thursday, January 9, 2014 9:49 PM

All replies

  • I would like to know the answer to this as well.

    I have SQL Express 2012 installed and receive the same error.
    The OS is windows 7 64 bit and the SQL is 64 Bit as well.

    A search for any log file failed.

     Where is the log file?

    Saturday, January 18, 2014 12:25 AM
  • CountryStyle, I did more search and found the log file at Program Files/Microsoft Assessment and Planning Toolkit directory.    Found error discription inside log but didn't help.   I completely removed V8 program including database (option on uninstall) and database backups and installed v9, which was successful.  Note that it wouldn't work after uninstall until I removed db backup.  Each time it would start up and want to Convert db.  Hope this helps.

    Saturday, January 18, 2014 12:38 AM
  • Hi MPHilmar,

    Having SQL 2012 may have been the cause of this for me.  Glad to see you fixed yours too.

    -I resolved the error by uninstalling

    -Creating a instance named MAPS (so MAPS would use it instead of installing a localDB like it USED TO)

    -upon reinstall everything worked great.

    cs

    Saturday, January 18, 2014 2:27 AM
  • I did not find anything that was NEW and called *log*

    will look again if I have issues.

    thanks.

    Saturday, January 18, 2014 2:28 AM
  • You will need to follow this upgrade path 8.0 -> 8.5 -> 9.0. Unfortunately, only the currently available release is available on the Download Center, so you will need to already have a copy of 8.5 saved somewhere.


    Please remember to click "Mark as Answer" on the post that helps you, and to click "Unmark as Answer" if a marked post does not actually answer your question. Please VOTE as HELPFUL if the post helps you. This can be beneficial to other community members reading the thread.

    Thursday, February 13, 2014 7:28 PM
    Moderator
  • selecting No prompted me to the database create screen allowing me to start a v9 rather than use my old version 8 one.  Re ran my audits and all was right in the world again.
    Friday, February 14, 2014 1:24 AM